import { Readable } from 'node:stream';
import { FileUploaderDownloadParam, FileUploaderResult, FileUploaderUploadParam } from '@alipay/faas-common-sdk';
import { DownloadFileResult } from '../types';
export declare class FileUploader {
    #private;
    upload(param: FileUploaderUploadParam<Buffer | Readable>): Promise<FileUploaderResult>;
    download(param: FileUploaderDownloadParam): Promise<DownloadFileResult>;
    static create(): FileUploader;
}
